#3159 closed defect (fixed)

Examples v2 trace linker ini files reference non-existing dump-on-error

Reported by: Chris Johns Owned by: Chris Johns
Priority: high Milestone: 5.1
Component: unspecified Version: 5
Severity: major Keywords: examples
Cc: Blocked By:
Blocking:

Description

Remove the dump-on-error option.

Change History (7)

comment:1 Changed on Oct 2, 2017 at 12:14:07 AM by Chris Johns

Resolution: fixed
Status: assignedclosed

comment:2 Changed on Oct 5, 2017 at 2:07:05 PM by Joel Sherrill

Resolution: fixed
Status: closedreopened

This still fails for me. Did you actually push the fix? I fixed a few other examples-v2 failures. But these remain:

-> task in 'hello-deep.texe' failed with exit status 10 (run with -v to display more information)

Looks like missing update from recent changes.

-> task in 'fat_ramdisk.texe' failed with exit status 10 (run with -v to display more information)

Looks like missing update from recent changes.

-> task in 'fdopen.texe' failed with exit status 10 (run with -v to display more information)

Not building filesystem image

-> task in 'crc.exe' failed with exit status 1 (run with -v to display more information)

Not building filesystem image

-> task in 'psx_sched_report.exe' failed with exit status 1 (run with -v to display more information)

RTEMS confdefs.h and newlib libc.a both define getreent.

comment:3 in reply to:  2 Changed on Oct 5, 2017 at 9:34:05 PM by Chris Johns

Resolution: fixed
Status: reopenedclosed

Replying to Joel Sherrill:

This still fails for me. Did you actually push the fix?

https://git.rtems.org/examples-v2/commit/?id=c7dfbaf83c5b119106f9ee38c902988cc463b0aa

It removes the dump-on-error issue which is the subject of this ticket.

Are you seeing #3160?

comment:4 Changed on Oct 5, 2017 at 10:26:58 PM by Joel Sherrill

Yes. It appears to impact both_hello and fat_ramdisk.

Did you look at the two tests which aren't building a filesystem image in waf?

comment:5 in reply to:  4 Changed on Oct 5, 2017 at 11:12:15 PM by Chris Johns

Replying to Joel Sherrill:

Yes. It appears to impact both_hello and fat_ramdisk.

It is the trace linker definitions. They need updating.

Did you look at the two tests which aren't building a filesystem image in waf?

No. Is that issue #3158? If so please update that ticket with the command you used to configure and build plus the output.

comment:6 Changed on Oct 5, 2017 at 11:40:26 PM by Joel Sherrill

OK. Looks like 3158 but I don't have a toolset now. Rebuilding with the latest changes. Will do that in the morning.

comment:7 Changed on Nov 9, 2017 at 6:27:14 AM by Sebastian Huber

Milestone: 4.12.05.1

Milestone renamed

Note: See TracTickets for help on using tickets.